Create a queue schedule
curl --request POST \
--url https://api.kavenio.com/v1/queue/slots \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"profileId": "aaaaaaaaaaaaaaaa",
"name": "Weekday mornings",
"timezone": "UTC",
"active": true,
"slots": [
{
"dayOfWeek": 1,
"time": "09:00",
"timezone": "UTC"
}
]
}
'import requests
url = "https://api.kavenio.com/v1/queue/slots"
payload = {
"profileId": "aaaaaaaaaaaaaaaa",
"name": "Weekday mornings",
"timezone": "UTC",
"active": True,
"slots": [
{
"dayOfWeek": 1,
"time": "09:00",
"timezone": "UTC"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
profileId: 'aaaaaaaaaaaaaaaa',
name: 'Weekday mornings',
timezone: 'UTC',
active: true,
slots: [{dayOfWeek: 1, time: '09:00', timezone: 'UTC'}]
})
};
fetch('https://api.kavenio.com/v1/queue/slots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"id": "<string>",
"profileId": "<string>",
"name": "<string>",
"timezone": "<string>",
"active": true,
"isDefault": true,
"slots": [
{
"dayOfWeek": 3,
"time": "<string>",
"timezone": "<string>",
"id": "<string>",
"queueId": "<string>",
"active": true
}
],
"createdAt": "<string>",
"updatedAt": "<string>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Queue
Create queue schedule
Creates a reusable posting queue schedule for a profile.
POST
/
v1
/
queue
/
slots
Create a queue schedule
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?
⌘I